/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout';
// 政策管理
const nestedRouter = {
  path: '/policy',
  component: Layout,
  redirect: 'noRedirect',
  name:'policy',
  meta: { title: '政策管理', icon: 'row' },
  children: [
    {
      path: 'library',
      component: resolve => require(['@/views/policy/library/index'], resolve),
      name: 'library',
      meta: { title: '政策库', icon: 'list' }
    },
    {
      path: 'add',
      component: resolve => require(['@/views/policy/library/add'], resolve),
      name: 'add',
      meta: { title: '政策库' },
      hidden: true
    },
    {
      path: 'tag',
      component: resolve => require(['@/views/policy/tag/index'], resolve),
      name: 'tag',
      meta: { title: '政策标签', icon: 'list' }
    },
    {
      path: 'unscramble',
      component: resolve =>
        require(['@/views/front/unscramble/index'], resolve),
      name: 'unscramble',
      meta: { title: '政策解读库', icon: 'list' }
    },
    {
      path: 'addUnscramble',
      component: resolve => require(['@/views/front/unscramble/add'], resolve),
      name: 'addUnscramble',
      meta: { title: '政策解读' },
      hidden: true
    },
    {
      path: 'expressNews',
      component: resolve =>
        require(['@/views/front/expressNews/index'], resolve),
      name: 'expressNews',
      meta: { title: '资讯快报', icon: 'list' }
    },
    {
      path: 'addExpressNews',
      component: resolve => require(['@/views/front/expressNews/add'], resolve),
      name: 'addExpressNews',
      meta: { title: '资讯快报' },
      hidden: true
    }
  ]
};

export default nestedRouter;
